/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomOverflowEvent_H___INT_
#define __GdomOverflowEvent_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomEvent.h"
#include "GDOMObject.h"
#include "OverflowEvent.h"
G_BEGIN_DECLS
class GDOMOverflowEvent : public GDOMEvent {
    typedef GDOMEvent Base;
public:
    int get_gobj_type() { return GDOM_TYPE_OVERFLOW_EVENT; }
    GDOMOverflowEvent(PassRefPtr<WebCore::OverflowEvent> impl);
};
G_END_DECLS

#endif /* __GdomOverflowEvent_H___INT_*/
